import time
from astropy import coordinates
from astropy.time import Time

start = time.mktime((2018,12,19,0,0,0,0,0,-1))
increment = 86400

while increment >= 1:
    tim_2 = 0
    tim_1 = 0
    dec_2 = 100.0
    dec_1 = 100.0
    utime0 = start
    print("Step: %6d"%increment, end=" - ")
    while True:
        tim_0 = Time(utime0, format="unix")
        sun_dec = coordinates.get_sun(tim_0).dec.value
        if sun_dec >= dec_1:
            break
        utime0 += increment
        dec_2 = dec_1
        dec_1 = sun_dec
        tim_2 = tim_1
        tim_1 = tim_0
    increment = int(increment/2.)
    start = tim_2.value
    tim_1.format="iso"
    print(tim_1, dec_1)
