import matplotlib.pyplot as plt
from astropy.visualization import SqrtStretch
from astropy.visualization.mpl_normalize import ImageNormalize

def show(img, cmap="Greys", extent=None):
    norm = ImageNormalize(stretch=SqrtStretch())
    plt.imshow(img, cmap=cmap, norm=norm, extent=extent)

